org.multiverse.api.lifecycle

## Interface TxnListener

    public interface TxnListener

A listener tailored for listening to events in the `Txn` life-cycle.

See Also:
  `TxnEvent`, `TxnConfig.getPermanentListeners()`, `Txn.register(TxnListener)`

### Method Summary

Methods
`void` `notify(Txn txn, TxnEvent e)` Notifies that a certain `TxnEvent` happened inside a `Txn`.

### Method Detail

#### notify

    void notify(Txn txn,
              TxnEvent e)

Notifies that a certain `TxnEvent` happened inside a `Txn`.

Parameters:
  `txn` - the `Txn` where the event happened
  `e` - the event